# Financial entries by date range

In a successful response, you will receive a link to the file `report_url`.
The financial data are in a CSV file, which can be found at the link. Data is available for export from the July 2022.

Endpoint: POST /financial_entries
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `date_from` (string, required)
    Start datetime for the report stated in UTC+0.
    Example: 2025-08-15 11:00:00

  - `date_to` (string, required)
    End datetime for the report stated in UTC+0.
    Example: 2025-09-20 13:00:00

  - `filter` (string)
    Date field to filter the report by.
- `created_at` - date and time when the record was created
- `accounting_date` – determines the settlement or invoice inclusion date
- `transaction_datetime_utc` – transaction or fee date in UTC
- `transaction_datetime_provider` – transaction or fee date in provider's local timezone
    Enum: "created_at", "accounting_date", "transaction_datetime_utc", "transaction_datetime_provider"

## Response 200:

  - `200` (unknown)
    This call only starts report generation. It does not return report data. On success, the response contains `report_url`. GET the URL, available at the download endpoint, to fetch the file. That endpoint returns `204` while the report is being generated. Once the file is ready, it returns `302` and redirects to a one-time S3 download link.

## Response 200 fields (application/json):

  - `report_url` (string)
    URL for the report stored on Amazon S3, which needs to be downloaded.
    Example: https://reports.solidgate.com/api/v1/finance/financial_entries/report/fin_220808_143924_test/download

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 200 examples:

  - `Success` (unknown)

  - `Authentication failed` (unknown)

